﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using System.Collections.Generic;
using HeuristicLab.Core;
using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
using HeuristicLab.Common;

namespace HeuristicLab.Hive.ExperimentManager {
  [Item("HiveExperiment Collection", "Represents a list of hive experiments.")]
  [StorableClass]
  public class HiveExperimentCollection : ItemCollection<HiveExperiment> {
    public HiveExperimentCollection() : base() { }
    public HiveExperimentCollection(int capacity) : base(capacity) { }
    public HiveExperimentCollection(IEnumerable<HiveExperiment> collection) : base(collection) { }

    [StorableConstructor]
    protected HiveExperimentCollection(bool deserializing) : base(deserializing) { }
    protected HiveExperimentCollection(HiveExperimentCollection original, Cloner cloner)
      : base(original, cloner) {
    }
    public override IDeepCloneable Clone(Cloner cloner) {
      return new HiveExperimentCollection(this, cloner);
    }
  }
}
